diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/class-wp-customize-control.php /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/class-wp-customize-control.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/class-wp-customize-control.php	2012-10-29 12:35:30.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/class-wp-customize-control.php	2012-12-17 16:18:41.000000000 -0600
***************
*** 6,30 ****
   * @subpackage Customize
   * @since 3.4.0
   */
- 
  class WP_Customize_Control {
  	public $manager;
  	public $id;
  
! 	// All settings tied to the control.
  	public $settings;
  
! 	// The primary setting for the control (if there is one).
  	public $setting = 'default';
  
  	public $priority          = 10;
  	public $section           = '';
  	public $label             = '';
! 	// @todo: remove choices
  	public $choices           = array();
  
  	public $json = array();
  
  	public $type = 'text';
  
  
--- 6,76 ----
   * @subpackage Customize
   * @since 3.4.0
   */
  class WP_Customize_Control {
+ 	/**
+ 	 * @access public
+ 	 * @var WP_Customize_Manager
+ 	 */
  	public $manager;
+ 
+ 	/**
+ 	 * @access public
+ 	 * @var string
+ 	 */
  	public $id;
  
! 	/**
! 	 * All settings tied to the control.
! 	 *
! 	 * @access public
! 	 * @var array
! 	 */
  	public $settings;
  
! 	/**
! 	 * The primary setting for the control (if there is one).
! 	 *
! 	 * @access public
! 	 * @var string
! 	 */
  	public $setting = 'default';
  
+ 	/**
+ 	 * @access public
+ 	 * @var int
+ 	 */
  	public $priority          = 10;
+ 
+ 	/**
+ 	 * @access public
+ 	 * @var string
+ 	 */
  	public $section           = '';
+ 
+ 	/**
+ 	 * @access public
+ 	 * @var string
+ 	 */
  	public $label             = '';
! 
! 	/**
! 	 * @todo: Remove choices
! 	 *
! 	 * @access public
! 	 * @var array
! 	 */
  	public $choices           = array();
  
+ 	/**
+ 	 * @access public
+ 	 * @var array
+ 	 */
  	public $json = array();
  
+ 	/**
+ 	 * @access public
+ 	 * @var string
+ 	 */
  	public $type = 'text';
  
  
***************
*** 34,39 ****
--- 80,89 ----
  	 * If $args['settings'] is not defined, use the $id as the setting ID.
  	 *
  	 * @since 3.4.0
+ 	 *
+ 	 * @param WP_Customize_Manager $manager
+ 	 * @param string $id
+ 	 * @param array $args
  	 */
  	function __construct( $manager, $id, $args = array() ) {
  		$keys = array_keys( get_object_vars( $this ) );
***************
*** 75,80 ****
--- 125,133 ----
  	 * Grabs the main setting by default.
  	 *
  	 * @since 3.4.0
+ 	 *
+ 	 * @param string $setting_key
+ 	 * @return mixed The requested setting's value, if the setting exists.
  	 */
  	public final function value( $setting_key = 'default' ) {
  		if ( isset( $this->settings[ $setting_key ] ) )
***************
*** 119,124 ****
--- 172,178 ----
  	 * Check capabilities and render the control.
  	 *
  	 * @since 3.4.0
+ 	 * @uses WP_Customize_Control::render()
  	 */
  	public final function maybe_render() {
  		if ( ! $this->check_capabilities() )
***************
*** 144,149 ****
--- 198,211 ----
  		</li><?php
  	}
  
+ 	/**
+ 	 * Get the data link parameter for a setting.
+ 	 *
+ 	 * @since 3.4.0
+ 	 *
+ 	 * @param string $setting_key
+ 	 * @return string Data link parameter, if $setting_key is a valid setting, empty string otherwise.
+ 	 */
  	public function get_link( $setting_key = 'default' ) {
  		if ( ! isset( $this->settings[ $setting_key ] ) )
  			return '';
***************
*** 151,156 ****
--- 213,226 ----
  		return 'data-customize-setting-link="' . esc_attr( $this->settings[ $setting_key ]->id ) . '"';
  	}
  
+ 	/**
+ 	 * Render the data link parameter for a setting
+ 	 *
+ 	 * @since 3.4.0
+ 	 * @uses WP_Customize_Control::get_link()
+ 	 *
+ 	 * @param string $setting_key
+ 	 */
  	public function link( $setting_key = 'default' ) {
  		echo $this->get_link( $setting_key );
  	}
***************
*** 238,290 ****
  	}
  }
  
  class WP_Customize_Color_Control extends WP_Customize_Control {
  	public $type = 'color';
  	public $statuses;
  
  	public function __construct( $manager, $id, $args = array() ) {
  		$this->statuses = array( '' => __('Default') );
  		parent::__construct( $manager, $id, $args );
  	}
  
  	public function enqueue() {
! 		wp_enqueue_script( 'farbtastic' );
! 		wp_enqueue_style( 'farbtastic' );
  	}
  
  	public function to_json() {
  		parent::to_json();
  		$this->json['statuses'] = $this->statuses;
  	}
  
  	public function render_content() {
  		?>
  		<label>
  			<span class="customize-control-title"><?php echo esc_html( $this->label ); ?></span>
  			<div class="customize-control-content">
! 				<div class="dropdown">
! 					<div class="dropdown-content">
! 						<div class="dropdown-status"></div>
! 					</div>
! 					<div class="dropdown-arrow"></div>
! 				</div>
! 				<input class="color-picker-hex" type="text" maxlength="7" placeholder="<?php esc_attr_e('Hex Value'); ?>" />
  			</div>
- 			<div class="farbtastic-placeholder"></div>
  		</label>
  		<?php
  	}
  }
  
  class WP_Customize_Upload_Control extends WP_Customize_Control {
  	public $type    = 'upload';
  	public $removed = '';
  	public $context;
  
  	public function enqueue() {
  		wp_enqueue_script( 'wp-plupload' );
  	}
  
  	public function to_json() {
  		parent::to_json();
  
--- 308,424 ----
  	}
  }
  
+ /**
+  * Customize Color Control Class
+  *
+  * @package WordPress
+  * @subpackage Customize
+  * @since 3.4.0
+  */
  class WP_Customize_Color_Control extends WP_Customize_Control {
+ 	/**
+ 	 * @access public
+ 	 * @var string
+ 	 */
  	public $type = 'color';
+ 
+ 	/**
+ 	 * @access public
+ 	 * @var array
+ 	 */
  	public $statuses;
  
+ 	/**
+ 	 * Constructor.
+ 	 *
+ 	 * If $args['settings'] is not defined, use the $id as the setting ID.
+ 	 *
+ 	 * @since 3.4.0
+ 	 * @uses WP_Customize_Control::__construct()
+ 	 *
+ 	 * @param WP_Customize_Manager $manager
+ 	 * @param string $id
+ 	 * @param array $args
+ 	 */
  	public function __construct( $manager, $id, $args = array() ) {
  		$this->statuses = array( '' => __('Default') );
  		parent::__construct( $manager, $id, $args );
  	}
  
+ 	/**
+ 	 * Enqueue control related scripts/styles.
+ 	 *
+ 	 * @since 3.4.0
+ 	 */
  	public function enqueue() {
! 		wp_enqueue_script( 'wp-color-picker' );
! 		wp_enqueue_style( 'wp-color-picker' );
  	}
  
+ 	/**
+ 	 * Refresh the parameters passed to the JavaScript via JSON.
+ 	 *
+ 	 * @since 3.4.0
+ 	 * @uses WP_Customize_Control::to_json()
+ 	 */
  	public function to_json() {
  		parent::to_json();
  		$this->json['statuses'] = $this->statuses;
  	}
  
+ 	/**
+ 	 * Render the control's content.
+ 	 *
+ 	 * @since 3.4.0
+ 	 */
  	public function render_content() {
+ 		$this_default = $this->setting->default;
+ 		$default_attr = '';
+ 		if ( $this_default ) {
+ 			if ( false === strpos( $this_default, '#' ) )
+ 				$this_default = '#' . $this_default;
+ 			$default_attr = ' data-default-color="' . esc_attr( $this_default ) . '"';
+ 		}
+ 		// The input's value gets set by JS. Don't fill it.
  		?>
  		<label>
  			<span class="customize-control-title"><?php echo esc_html( $this->label ); ?></span>
  			<div class="customize-control-content">
! 				<input class="color-picker-hex" type="text" maxlength="7" placeholder="<?php esc_attr_e( 'Hex Value' ); ?>"<?php echo $default_attr ?> />
  			</div>
  		</label>
  		<?php
  	}
  }
  
+ /**
+  * Customize Upload Control Class
+  *
+  * @package WordPress
+  * @subpackage Customize
+  * @since 3.4.0
+  */
  class WP_Customize_Upload_Control extends WP_Customize_Control {
  	public $type    = 'upload';
  	public $removed = '';
  	public $context;
+ 	public $extensions = array();
  
+ 	/**
+ 	 * Enqueue control related scripts/styles.
+ 	 *
+ 	 * @since 3.4.0
+ 	 */
  	public function enqueue() {
  		wp_enqueue_script( 'wp-plupload' );
  	}
  
+ 	/**
+ 	 * Refresh the parameters passed to the JavaScript via JSON.
+ 	 *
+ 	 * @since 3.4.0
+ 	 * @uses WP_Customize_Control::to_json()
+ 	 */
  	public function to_json() {
  		parent::to_json();
  
***************
*** 292,299 ****
--- 426,441 ----
  
  		if ( $this->context )
  			$this->json['context'] = $this->context;
+ 
+ 		if ( $this->extensions )
+ 			$this->json['extensions'] = implode( ',', $this->extensions );
  	}
  
+ 	/**
+ 	 * Render the control's content.
+ 	 *
+ 	 * @since 3.4.0
+ 	 */
  	public function render_content() {
  		?>
  		<label>
***************
*** 307,319 ****
--- 449,481 ----
  	}
  }
  
+ /**
+  * Customize Image Control Class
+  *
+  * @package WordPress
+  * @subpackage Customize
+  * @since 3.4.0
+  */
  class WP_Customize_Image_Control extends WP_Customize_Upload_Control {
  	public $type = 'image';
  	public $get_url;
  	public $statuses;
+ 	public $extensions = array( 'jpg', 'jpeg', 'gif', 'png' );
  
  	protected $tabs = array();
  
+ 	/**
+ 	 * Constructor.
+ 	 *
+ 	 * If $args['settings'] is not defined, use the $id as the setting ID.
+ 	 *
+ 	 * @since 3.4.0
+ 	 * @uses WP_Customize_Upload_Control::__construct()
+ 	 *
+ 	 * @param WP_Customize_Manager $manager
+ 	 * @param string $id
+ 	 * @param array $args
+ 	 */
  	public function __construct( $manager, $id, $args ) {
  		$this->statuses = array( '' => __('No Image') );
  
***************
*** 338,348 ****
--- 500,521 ----
  			$this->manager->remove_control( $this->id );
  	}
  
+ 	/**
+ 	 * Refresh the parameters passed to the JavaScript via JSON.
+ 	 *
+ 	 * @since 3.4.0
+ 	 * @uses WP_Customize_Upload_Control::to_json()
+ 	 */
  	public function to_json() {
  		parent::to_json();
  		$this->json['statuses'] = $this->statuses;
  	}
  
+ 	/**
+ 	 * Render the control's content.
+ 	 *
+ 	 * @since 3.4.0
+ 	 */
  	public function render_content() {
  		$src = $this->value();
  		if ( isset( $this->get_url ) )
***************
*** 353,359 ****
  			<span class="customize-control-title"><?php echo esc_html( $this->label ); ?></span>
  
  			<div class="customize-control-content">
! 				<div class="dropdown preview-thumbnail">
  					<div class="dropdown-content">
  						<?php if ( empty( $src ) ): ?>
  							<img style="display:none;" />
--- 526,532 ----
  			<span class="customize-control-title"><?php echo esc_html( $this->label ); ?></span>
  
  			<div class="customize-control-content">
! 				<div class="dropdown preview-thumbnail" tabindex="0">
  					<div class="dropdown-content">
  						<?php if ( empty( $src ) ): ?>
  							<img style="display:none;" />
***************
*** 369,375 ****
  			<div class="library">
  				<ul>
  					<?php foreach ( $this->tabs as $id => $tab ): ?>
! 						<li data-customize-tab='<?php echo esc_attr( $id ); ?>'>
  							<?php echo esc_html( $tab['label'] ); ?>
  						</li>
  					<?php endforeach; ?>
--- 542,548 ----
  			<div class="library">
  				<ul>
  					<?php foreach ( $this->tabs as $id => $tab ): ?>
! 						<li data-customize-tab='<?php echo esc_attr( $id ); ?>' tabindex='0'>
  							<?php echo esc_html( $tab['label'] ); ?>
  						</li>
  					<?php endforeach; ?>
***************
*** 388,393 ****
--- 561,575 ----
  		<?php
  	}
  
+ 	/**
+ 	 * Add a tab to the control.
+ 	 *
+ 	 * @since 3.4.0
+ 	 *
+ 	 * @param string $id
+ 	 * @param string $label
+ 	 * @param mixed $callback
+ 	 */
  	public function add_tab( $id, $label, $callback ) {
  		$this->tabs[ $id ] = array(
  			'label'    => $label,
***************
*** 395,404 ****
--- 577,596 ----
  		);
  	}
  
+ 	/**
+ 	 * Remove a tab from the control.
+ 	 *
+ 	 * @since 3.4.0
+ 	 *
+ 	 * @param string $id
+ 	 */
  	public function remove_tab( $id ) {
  		unset( $this->tabs[ $id ] );
  	}
  
+ 	/**
+ 	 * @since 3.4.0
+ 	 */
  	public function tab_upload_new() {
  		if ( ! _device_can_upload() ) {
  			?>
***************
*** 416,427 ****
--- 608,628 ----
  		}
  	}
  
+ 	/**
+ 	 * @since 3.4.0
+ 	 */
  	public function tab_uploaded() {
  		?>
  		<div class="uploaded-target"></div>
  		<?php
  	}
  
+ 	/**
+ 	 * @since 3.4.0
+ 	 *
+ 	 * @param string $url
+ 	 * @param string $thumbnail_url
+ 	 */
  	public function print_tab_image( $url, $thumbnail_url = null ) {
  		$url = set_url_scheme( $url );
  		$thumbnail_url = ( $thumbnail_url ) ? set_url_scheme( $thumbnail_url ) : $url;
***************
*** 433,439 ****
--- 634,656 ----
  	}
  }
  
+ /**
+  * Customize Background Image Control Class
+  *
+  * @package WordPress
+  * @subpackage Customize
+  * @since 3.4.0
+  */
  class WP_Customize_Background_Image_Control extends WP_Customize_Image_Control {
+ 
+ 	/**
+ 	 * Constructor.
+ 	 *
+ 	 * @since 3.4.0
+ 	 * @uses WP_Customize_Image_Control::__construct()
+ 	 *
+ 	 * @param WP_Customize_Manager $manager
+ 	 */
  	public function __construct( $manager ) {
  		parent::__construct( $manager, 'background_image', array(
  			'label'    => __( 'Background Image' ),
***************
*** 446,451 ****
--- 663,671 ----
  			$this->add_tab( 'default',  __('Default'),  array( $this, 'tab_default_background' ) );
  	}
  
+ 	/**
+ 	 * @since 3.4.0
+ 	 */
  	public function tab_uploaded() {
  		$backgrounds = get_posts( array(
  			'post_type'  => 'attachment',
***************
*** 464,474 ****
--- 684,705 ----
  			$this->print_tab_image( esc_url_raw( $background->guid ) );
  	}
  
+ 	/**
+ 	 * @since 3.4.0
+ 	 * @uses WP_Customize_Image_Control::print_tab_image()
+ 	 */
  	public function tab_default_background() {
  		$this->print_tab_image( $this->setting->default );
  	}
  }
  
+ /**
+  * Customize Header Image Control Class
+  *
+  * @package WordPress
+  * @subpackage Customize
+  * @since 3.4.0
+  */
  class WP_Customize_Header_Image_Control extends WP_Customize_Image_Control {
  	/**
  	 * The processed default headers.
***************
*** 484,489 ****
--- 715,729 ----
  	 */
  	protected $uploaded_headers;
  
+ 	/**
+ 	 * Constructor.
+ 	 *
+ 	 * @since 3.4.0
+ 	 * @uses WP_Customize_Image_Control::__construct()
+ 	 * @uses WP_Customize_Image_Control::add_tab()
+ 	 *
+ 	 * @param WP_Customize_Manager $manager
+ 	 */
  	public function __construct( $manager ) {
  		parent::__construct( $manager, 'header_image', array(
  			'label'    => __( 'Header Image' ),
***************
*** 533,538 ****
--- 773,784 ----
  		return parent::prepare_control();
  	}
  
+ 	/**
+ 	 * @since 3.4.0
+ 	 *
+ 	 * @param mixed $choice Which header image to select. (@see Custom_Image_Header::get_header_image() )
+ 	 * @param array $header
+ 	 */
  	public function print_header_image( $choice, $header ) {
  		$header['url']           = set_url_scheme( $header['url'] );
  		$header['thumbnail_url'] = set_url_scheme( $header['thumbnail_url'] );
***************
*** 553,558 ****
--- 799,807 ----
  		<?php
  	}
  
+ 	/**
+ 	 * @since 3.4.0
+ 	 */
  	public function tab_uploaded() {
  		?><div class="uploaded-target"></div><?php
  
***************
*** 560,565 ****
--- 809,817 ----
  			$this->print_header_image( $choice, $header );
  	}
  
+ 	/**
+ 	 * @since 3.4.0
+ 	 */
  	public function tab_default_headers() {
  		foreach ( $this->default_headers as $choice => $header )
  			$this->print_header_image( $choice, $header );
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/class-wp-customize-manager.php /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/class-wp-customize-manager.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/class-wp-customize-manager.php	2012-10-29 12:35:29.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/class-wp-customize-manager.php	2012-12-17 16:18:39.000000000 -0600
***************
*** 1,6 ****
  <?php
  /**
!  * Customize
   *
   * @package WordPress
   * @subpackage Customize
--- 1,6 ----
  <?php
  /**
!  * Customize Manager.
   *
   * @package WordPress
   * @subpackage Customize
***************
*** 56,65 ****
  		add_action( 'customize_controls_enqueue_scripts', array( $this, 'enqueue_control_scripts' ) );
  	}
  
!  	/**
  	 * Return true if it's an AJAX request.
  	 *
  	 * @since 3.4.0
  	 */
  	public function doing_ajax() {
  		return isset( $_POST['customized'] ) || ( defined( 'DOING_AJAX' ) && DOING_AJAX );
--- 55,66 ----
  		add_action( 'customize_controls_enqueue_scripts', array( $this, 'enqueue_control_scripts' ) );
  	}
  
! 	/**
  	 * Return true if it's an AJAX request.
  	 *
  	 * @since 3.4.0
+ 	 *
+ 	 * @return bool
  	 */
  	public function doing_ajax() {
  		return isset( $_POST['customized'] ) || ( defined( 'DOING_AJAX' ) && DOING_AJAX );
***************
*** 69,78 ****
  	 * Custom wp_die wrapper. Returns either the standard message for UI
  	 * or the AJAX message.
  	 *
- 	 * @param  mixed $ajax_message AJAX return
- 	 * @param  mixed $message      UI message
- 	 *
  	 * @since 3.4.0
  	 */
  	protected function wp_die( $ajax_message, $message = null ) {
  		if ( $this->doing_ajax() )
--- 70,79 ----
  	 * Custom wp_die wrapper. Returns either the standard message for UI
  	 * or the AJAX message.
  	 *
  	 * @since 3.4.0
+ 	 *
+ 	 * @param mixed $ajax_message AJAX return
+ 	 * @param mixed $message UI message
  	 */
  	protected function wp_die( $ajax_message, $message = null ) {
  		if ( $this->doing_ajax() )
***************
*** 88,93 ****
--- 89,96 ----
  	 * Return the AJAX wp_die() handler if it's a customized request.
  	 *
  	 * @since 3.4.0
+ 	 *
+ 	 * @return string
  	 */
  	public function wp_die_handler() {
  		if ( $this->doing_ajax() )
***************
*** 95,104 ****
  
  		return '_default_wp_die_handler';
  	}
  	/**
! 	* Start preview and customize theme.
! 	*
! 	* Check if customize query variable exist. Init filters to filter the current theme.
  	 *
  	 * @since 3.4.0
  	 */
--- 98,108 ----
  
  		return '_default_wp_die_handler';
  	}
+ 
  	/**
! 	 * Start preview and customize theme.
! 	 *
! 	 * Check if customize query variable exist. Init filters to filter the current theme.
  	 *
  	 * @since 3.4.0
  	 */
***************
*** 137,142 ****
--- 141,151 ----
  		$this->start_previewing_theme();
  	}
  
+ 	/**
+ 	 * Callback to validate a theme once it is loaded
+ 	 *
+ 	 * @since 3.4.0
+ 	 */
  	function after_setup_theme() {
  		if ( ! $this->doing_ajax() && ! validate_current_theme() ) {
  			wp_redirect( 'themes.php?broken=true' );
***************
*** 279,284 ****
--- 288,296 ----
  	 * Instead, the JS will sniff out the location header.
  	 *
  	 * @since 3.4.0
+ 	 *
+ 	 * @param $status
+ 	 * @return int
  	 */
  	public function wp_redirect_status( $status ) {
  		if ( $this->is_preview() && ! is_admin() )
***************
*** 291,296 ****
--- 303,311 ----
  	 * Decode the $_POST attribute used to override the WP_Customize_Setting values.
  	 *
  	 * @since 3.4.0
+ 	 *
+ 	 * @param mixed $setting A WP_Customize_Setting derived object
+ 	 * @return string Sanitized attribute
  	 */
  	public function post_value( $setting ) {
  		if ( ! isset( $this->_post_values ) ) {
***************
*** 367,377 ****
  		);
  
  		if ( 2 == $this->nonce_tick ) {
!  			$settings['nonce'] = array(
!  				'save' => wp_create_nonce( 'save-customize_' . $this->get_stylesheet() ),
!  				'preview' => wp_create_nonce( 'preview-customize_' . $this->get_stylesheet() )
!  			);
!  		}
  
  		foreach ( $this->settings as $id => $setting ) {
  			$settings['values'][ $id ] = $setting->js_value();
--- 382,392 ----
  		);
  
  		if ( 2 == $this->nonce_tick ) {
! 			$settings['nonce'] = array(
! 				'save' => wp_create_nonce( 'save-customize_' . $this->get_stylesheet() ),
! 				'preview' => wp_create_nonce( 'preview-customize_' . $this->get_stylesheet() )
! 			);
! 		}
  
  		foreach ( $this->settings as $id => $setting ) {
  			$settings['values'][ $id ] = $setting->js_value();
***************
*** 464,469 ****
--- 479,485 ----
  	 *
  	 * @since 3.4.0
  	 *
+ 	 * @param $current_theme {@internal Parameter is not used}
  	 * @return string Theme name.
  	 */
  	public function current_theme( $current_theme ) {
***************
*** 486,492 ****
  			// Temporarily stop previewing the theme to allow switch_themes()
  			// to operate properly.
  			$this->stop_previewing_theme();
! 			switch_theme( $this->get_template(), $this->get_stylesheet() );
  			$this->start_previewing_theme();
  		}
  
--- 502,508 ----
  			// Temporarily stop previewing the theme to allow switch_themes()
  			// to operate properly.
  			$this->stop_previewing_theme();
! 			switch_theme( $this->get_stylesheet() );
  			$this->start_previewing_theme();
  		}
  
***************
*** 630,635 ****
--- 646,652 ----
  	 *
  	 * @param object $a Object A.
  	 * @param object $b Object B.
+ 	 * @return int
  	 */
  	protected final function _cmp_priority( $a, $b ) {
  		$ap = $a->priority;
***************
*** 960,965 ****
--- 977,985 ----
  	 * Accepts 'blank', and otherwise uses sanitize_hex_color_no_hash().
  	 *
  	 * @since 3.4.0
+ 	 *
+ 	 * @param string $color
+ 	 * @return string
  	 */
  	public function _sanitize_header_textcolor( $color ) {
  		return ( 'blank' === $color ) ? 'blank' : sanitize_hex_color_no_hash( $color );
***************
*** 973,978 ****
--- 993,1001 ----
   * For validating values without a #, see sanitize_hex_color_no_hash().
   *
   * @since 3.4.0
+  *
+  * @param string $color
+  * @return string|null
   */
  function sanitize_hex_color( $color ) {
  	if ( '' === $color )
***************
*** 995,1000 ****
--- 1018,1027 ----
   * Returns either '', a 3 or 6 digit hex color (without a #), or null.
   *
   * @since 3.4.0
+  * @uses sanitize_hex_color()
+  *
+  * @param string $color
+  * @return string|null
   */
  function sanitize_hex_color_no_hash( $color ) {
  	$color = ltrim( $color, '#' );
***************
*** 1012,1017 ****
--- 1039,1047 ----
   * This method should only be necessary if using sanitize_hex_color_no_hash().
   *
   * @since 3.4.0
+  *
+  * @param string $color
+  * @return string
   */
  function maybe_hash_hex_color( $color ) {
  	if ( $unhashed = sanitize_hex_color_no_hash( $color ) )
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/class-wp-customize-section.php /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/class-wp-customize-section.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/class-wp-customize-section.php	2012-10-29 12:35:29.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/class-wp-customize-section.php	2012-12-17 16:18:39.000000000 -0600
***************
*** 1,6 ****
  <?php
  /**
!  * Customize Section Class
   *
   * @package WordPress
   * @subpackage Customize
--- 1,6 ----
  <?php
  /**
!  * Customize Section Class.
   *
   * @package WordPress
   * @subpackage Customize
***************
*** 22,27 ****
--- 21,27 ----
  	 *
  	 * @since 3.4.0
  	 *
+ 	 * @param WP_Customize_Manager $manager
  	 * @param string $id An specific ID of the section.
  	 * @param array $args Section arguments.
  	 */
***************
*** 81,87 ****
  	protected function render() {
  		?>
  		<li id="customize-section-<?php echo esc_attr( $this->id ); ?>" class="control-section customize-section">
! 			<h3 class="customize-section-title" title="<?php echo esc_attr( $this->description ); ?>"><?php echo esc_html( $this->title ); ?></h3>
  			<ul class="customize-section-content">
  				<?php
  				foreach ( $this->controls as $control )
--- 80,86 ----
  	protected function render() {
  		?>
  		<li id="customize-section-<?php echo esc_attr( $this->id ); ?>" class="control-section customize-section">
! 			<h3 class="customize-section-title" tabindex="0" title="<?php echo esc_attr( $this->description ); ?>"><?php echo esc_html( $this->title ); ?></h3>
  			<ul class="customize-section-content">
  				<?php
  				foreach ( $this->controls as $control )
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/class-wp-customize-setting.php /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/class-wp-customize-setting.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/class-wp-customize-setting.php	2012-10-29 12:35:29.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/class-wp-customize-setting.php	2012-12-17 16:18:39.000000000 -0600
***************
*** 1,6 ****
  <?php
  /**
!  * Customize Setting Class
   *
   * @package WordPress
   * @subpackage Customize
--- 1,6 ----
  <?php
  /**
!  * Customize Setting Class.
   *
   * @package WordPress
   * @subpackage Customize
***************
*** 28,36 ****
--- 27,37 ----
  	 *
  	 * @since 3.4.0
  	 *
+ 	 * @param WP_Customize_Manager $manager
  	 * @param string $id An specific ID of the setting. Can be a
  	 *                   theme mod or option name.
  	 * @param array $args Setting arguments.
+ 	 * @return WP_Customize_Setting
  	 */
  	function __construct( $manager, $id, $args = array() ) {
  		$keys = array_keys( get_class_vars( __CLASS__ ) );
***************
*** 87,94 ****
  	 * Callback function to filter the theme mods and options.
  	 *
  	 * @since 3.4.0
  	 *
! 	 * @param mixed Old value.
  	 * @return mixed New or old value.
  	 */
  	public function _preview_filter( $original ) {
--- 88,96 ----
  	 * Callback function to filter the theme mods and options.
  	 *
  	 * @since 3.4.0
+ 	 * @uses WP_Customize_Setting::multidimensional_replace()
  	 *
! 	 * @param mixed $original Old value.
  	 * @return mixed New or old value.
  	 */
  	public function _preview_filter( $original ) {
***************
*** 118,125 ****
  	 *
  	 * @since 3.4.0
  	 *
! 	 * @param $default mixed A default value which is used as a fallback. Default is null.
! 	 * @return mixed Either the default value on failure or sanitized value.
  	 */
  	public final function post_value( $default = null ) {
  		if ( isset( $this->_post_value ) )
--- 120,127 ----
  	 *
  	 * @since 3.4.0
  	 *
! 	 * @param mixed $default A default value which is used as a fallback. Default is null.
! 	 * @return mixed The default value on failure, otherwise the sanitized value.
  	 */
  	public final function post_value( $default = null ) {
  		if ( isset( $this->_post_value ) )
***************
*** 138,144 ****
  	 *
  	 * @since 3.4.0
  	 *
! 	 * @param $value mixed The value to sanitize.
  	 * @return mixed Null if an input isn't valid, otherwise the sanitized value.
  	 */
  	public function sanitize( $value ) {
--- 140,146 ----
  	 *
  	 * @since 3.4.0
  	 *
! 	 * @param mixed $value The value to sanitize.
  	 * @return mixed Null if an input isn't valid, otherwise the sanitized value.
  	 */
  	public function sanitize( $value ) {
***************
*** 151,157 ****
  	 *
  	 * @since 3.4.0
  	 *
! 	 * @param $value mixed The value to update.
  	 * @return mixed The result of saving the value.
  	 */
  	protected function update( $value ) {
--- 153,159 ----
  	 *
  	 * @since 3.4.0
  	 *
! 	 * @param mixed $value The value to update.
  	 * @return mixed The result of saving the value.
  	 */
  	protected function update( $value ) {
***************
*** 172,178 ****
  	 *
  	 * @since 3.4.0
  	 *
! 	 * @param $value mixed The value to update.
  	 * @return mixed The result of saving the value.
  	 */
  	protected function _update_theme_mod( $value ) {
--- 174,180 ----
  	 *
  	 * @since 3.4.0
  	 *
! 	 * @param mixed $value The value to update.
  	 * @return mixed The result of saving the value.
  	 */
  	protected function _update_theme_mod( $value ) {
***************
*** 192,198 ****
  	 *
  	 * @since 3.4.0
  	 *
! 	 * @param $value mixed The value to update.
  	 * @return mixed The result of saving the value.
  	 */
  	protected function _update_option( $value ) {
--- 194,200 ----
  	 *
  	 * @since 3.4.0
  	 *
! 	 * @param mixed $value The value to update.
  	 * @return mixed The result of saving the value.
  	 */
  	protected function _update_option( $value ) {
***************
*** 276,282 ****
  	 * @param $root
  	 * @param $keys
  	 * @param bool $create Default is false.
! 	 * @return null|array
  	 */
  	final protected function multidimensional( &$root, $keys, $create = false ) {
  		if ( $create && empty( $root ) )
--- 278,284 ----
  	 * @param $root
  	 * @param $keys
  	 * @param bool $create Default is false.
! 	 * @return null|array Keys are 'root', 'node', and 'key'.
  	 */
  	final protected function multidimensional( &$root, $keys, $create = false ) {
  		if ( $create && empty( $root ) )
***************
*** 372,390 ****
   * A setting that is used to filter a value, but will not save the results.
   *
   * Results should be properly handled using another setting or callback.
   */
  class WP_Customize_Filter_Setting extends WP_Customize_Setting {
! 	public function update() {}
  }
  
  /**
   * A setting that is used to filter a value, but will not save the results.
   *
   * Results should be properly handled using another setting or callback.
   */
  final class WP_Customize_Header_Image_Setting extends WP_Customize_Setting {
  	public $id = 'header_image_data';
  
  	public function update( $value ) {
  		global $custom_image_header;
  
--- 374,409 ----
   * A setting that is used to filter a value, but will not save the results.
   *
   * Results should be properly handled using another setting or callback.
+  *
+  * @package WordPress
+  * @subpackage Customize
+  * @since 3.4.0
   */
  class WP_Customize_Filter_Setting extends WP_Customize_Setting {
! 
! 	/**
! 	 * @since 3.4.0
! 	 */
! 	public function update( $value ) {}
  }
  
  /**
   * A setting that is used to filter a value, but will not save the results.
   *
   * Results should be properly handled using another setting or callback.
+  *
+  * @package WordPress
+  * @subpackage Customize
+  * @since 3.4.0
   */
  final class WP_Customize_Header_Image_Setting extends WP_Customize_Setting {
  	public $id = 'header_image_data';
  
+ 	/**
+ 	 * @since 3.4.0
+ 	 *
+ 	 * @param $value
+ 	 */
  	public function update( $value ) {
  		global $custom_image_header;
  
***************
*** 400,408 ****
--- 419,438 ----
  	}
  }
  
+ /**
+  * @package WordPress
+  * @subpackage Customize
+  * @since 3.4.0
+  */
  final class WP_Customize_Background_Image_Setting extends WP_Customize_Setting {
  	public $id = 'background_image_thumb';
  
+ 	/**
+ 	 * @since 3.4.0
+ 	 * @uses remove_theme_mod()
+ 	 *
+ 	 * @param $value
+ 	 */
  	public function update( $value ) {
  		remove_theme_mod( 'background_image_thumb' );
  	}
